--- old/usr/src/man/man7i/dkio.7i	Tue Apr 14 19:02:51 2020
+++ new/usr/src/man/man7i/dkio.7i	Tue Apr 14 19:02:51 2020
@@ -19,7 +19,7 @@
 .\" Copyright 2016 Nexenta Systems, Inc.
 .\" Copyright (c) 2017, Joyent, Inc.
 .\"
-.Dd October 23, 2017
+.Dd February 17, 2020
 .Dt DKIO 7I
 .Os
 .Sh NAME
@@ -809,7 +809,7 @@
  * Used by applications to get partition or slice information
  */
 struct extpart_info {
-    diskkaddr_t      p_start;
+    diskaddr_t       p_start;
     diskaddr_t       p_length;
 };
 .Ed
--- old/usr/src/man/man7i/fbio.7i	Tue Apr 14 19:02:51 2020
+++ new/usr/src/man/man7i/fbio.7i	Tue Apr 14 19:02:51 2020
@@ -14,7 +14,7 @@
 .\" If applicable, add the following below this CDDL HEADER, with the fields
 .\" enclosed by brackets "[]" replaced with your own identifying
 .\" information: Portions Copyright [yyyy] [name of copyright owner]
-.Dd October 22, 2017
+.Dd February 17, 2020
 .Dt FBIO 7I
 .Os
 .Sh NAME
@@ -137,8 +137,7 @@
 variable-length, device-specific information into and out of framebuffers.
 .Sh SEE ALSO
 .Xr ioctl 2 ,
-.Xr mmap 2 ,
-.Xr cgsix 7D
+.Xr mmap 2
 .Sh BUGS
 The
 .Dv FBIOSATTR
--- old/usr/src/man/man7i/ipnat.7i	Tue Apr 14 19:02:52 2020
+++ new/usr/src/man/man7i/ipnat.7i	Tue Apr 14 19:02:52 2020
@@ -14,7 +14,7 @@
 .\" If applicable, add the following below this CDDL HEADER, with the
 .\" fields enclosed by brackets "[]" replaced with your own identifying
 .\" information: Portions Copyright [yyyy] [name of copyright owner]
-.Dd October 23, 2017
+.Dd February 17, 2020
 .Dt IPNAT 7I
 .Os
 .Sh NAME
@@ -23,9 +23,9 @@
 .Sh DESCRIPTION
 The
 .Sy ipnat
-device provides interfaction with the NAT features of the Solaris IPFilter.
+device provides interaction with the NAT features of the illumos IP Filter.
 .Sh APPLICATION PROGRAMMING INTERFACE
-The NAT features programming model is a component of the Solaris IP Filter and
+The NAT features programming model is a component of the illumos IP Filter and
 is accessed via the NAT device file
 .Pa /dev/ipnat .
 Opening the device for
@@ -421,7 +421,7 @@
 flag and providing a pointer in the
 .Fa nat_fr
 field that cannot  be found in the current rule set.
-.It Er EACESS
+.It Er EACCES
 The calling process issued a
 .Dv SIOCSTPUT
 before issuing a
--- old/usr/src/man/man7i/mhd.7i	Tue Apr 14 19:02:52 2020
+++ new/usr/src/man/man7i/mhd.7i	Tue Apr 14 19:02:52 2020
@@ -14,7 +14,7 @@
 .\" If applicable, add the following below this CDDL HEADER, with the
 .\" fields enclosed by brackets "[]" replaced with your own identifying
 .\" information: Portions Copyright [yyyy] [name of copyright owner]
-.Dd October 23, 2017
+.Dd February 17, 2020
 .Dt MHD 7I
 .Os
 .Sh NAME
@@ -61,7 +61,7 @@
 Non-shared multihost disks ioctls consist of
 .Dv MHIOCTKOWN ,
 .Dv MHIOCRELEASE ,
-.Dv HIOCSTATUS ,
+.Dv MHIOCSTATUS ,
 and
 .Dv MHIOCQRESERVE .
 These ioctl requests control the access rights of non-shared multihost disks.
--- old/usr/src/man/man7i/mixer.7i	Tue Apr 14 19:02:52 2020
+++ new/usr/src/man/man7i/mixer.7i	Tue Apr 14 19:02:52 2020
@@ -14,7 +14,7 @@
 .\" If applicable, add the following below this CDDL HEADER, with the
 .\" fields enclosed by brackets "[]" replaced with your own identifying
 .\" information: Portions Copyright [yyyy] [name of copyright owner]
-.Dd February 1, 2019
+.Dd February 17, 2020
 .Dt MIXER 7I
 .Os
 .Sh NAME
@@ -438,10 +438,10 @@
 The pseudo
 .Pa /dev/mixer
 device supports ioctls that can change the
-oarious settings for the audio hardware in the system.
+various settings for the audio hardware in the system.
 .Pp
 Those ioctls should only be used by dedicated mixer applications or desktop
-olumme controls, and not by typical ordinary audio applications such as media
+volume controls, and not by typical ordinary audio applications such as media
 players.
 Ordinary applications that wish to adjust their own volume settings
 should use the
--- old/usr/src/man/man7i/mtio.7i	Tue Apr 14 19:02:52 2020
+++ new/usr/src/man/man7i/mtio.7i	Tue Apr 14 19:02:52 2020
@@ -14,7 +14,7 @@
 .\" If applicable, add the following below this CDDL HEADER, with the
 .\" fields enclosed by brackets "[]" replaced with your own identifying
 .\" information: Portions Copyright [yyyy] [name of copyright owner]
-.Dd August 31, 2018
+.Dd February 17, 2020
 .Dt MTIO 7I
 .Os
 .Sh NAME
@@ -166,7 +166,7 @@
 .Sx Read Operation
 and
 .Sx Write Operation
-subsections contain more pertinent information reguarding persistent error handling.
+subsections contain more pertinent information regarding persistent error handling.
 .Ss "Read Operation"
 The
 .Xr read 2
@@ -201,7 +201,7 @@
 ioctl is issued.
 An
 .Dv MTFSF
-ioctl can then he issued.
+ioctl can then be issued.
 .Pp
 Two successful successive reads that both return zero byte counts indicate
 .Sy EOM
@@ -1082,7 +1082,7 @@
 the case of 1/2\(dq reel tape drives.
 As an argument, it takes a pointer to an integer.
 If 0 (zero) is the specified integer, then double EOF marks indicate
-End-Of-recodred-media (EOD).
+End-Of-recorded-media (EOD).
 If 1 is the specified integer, the double EOF marks no longer indicate EOM,
 thus allowing applications to read past two EOF marks.
 In this case it is the responsibility of the application to detect
--- old/usr/src/man/man7i/sesio.7i	Tue Apr 14 19:02:52 2020
+++ new/usr/src/man/man7i/sesio.7i	Tue Apr 14 19:02:52 2020
@@ -14,7 +14,7 @@
 .\" If applicable, add the following below this CDDL HEADER, with the
 .\" fields enclosed by brackets "[]" replaced with your own identifying
 .\" information: Portions Copyright [yyyy] [name of copyright owner]
-.Dd October 23, 2017
+.Dd February 17, 2020
 .Dt SESIO 7I
 .Os
 .Sh NAME
@@ -90,6 +90,7 @@
 .Ed
 .Sh ARCHITECTURE
 SPARC
+x86
 .Sh SEE ALSO
-.Xr ses 7D ,
-.Xr ioctl 9E
+.Xr ioctl 2 ,
+.Xr ses 7D
--- old/usr/src/man/man7i/streamio.7i	Tue Apr 14 19:02:52 2020
+++ new/usr/src/man/man7i/streamio.7i	Tue Apr 14 19:02:52 2020
@@ -1,3 +1,4 @@
+.\" Copyright 2020 Peter Tribble.
 .\" Copyright (c) 2017, Joyent, Inc.
 .\" Copyright (c) 2009, Sun Microsystems, Inc.  All Rights Reserved.
 .\" Copyright 1989 AT&T
@@ -15,7 +16,7 @@
 .\" If applicable, add the following below this CDDL HEADER, with the
 .\" fields enclosed by brackets "[]" replaced with your own identifying
 .\" information: Portions Copyright [yyyy] [name of copyright owner]
-.Dd October 29, 2017
+.Dd February 17, 2020
 .Dt STREAMIO 7I
 .Os
 .Sh NAME
@@ -357,7 +358,7 @@
 .Va errno
 is set to one of the following values:
 .Bl -tag -width EINVAL
-.It Sy EINVAL
+.It Er EINVAL
 .Fa arg
 value is invalid or
 .Fa arg
@@ -364,7 +365,7 @@
 is zero and process is not registered to receive the
 .Dv SIGPOLL
 signal.
-.It Sy EAGAIN
+.It Er EAGAIN
 Allocation of a data structure to store the signal request failed.
 .El
 .It Dv I_GETSIG
@@ -381,11 +382,11 @@
 .Va errno
 is set to one of the following values:
 .Bl -tag -width EINVAL
-.It Sy EINVAL
+.It Er EINVAL
 Process not registered to receive the
 .Dv SIGPOLL
 signal.
-.It Sy EFAULT
+.It Er EFAULT
 .Fa arg
 points outside the allocated address space.
 .El
@@ -399,10 +400,10 @@
 .Va errno
 is set to one of the following values:
 .Bl -tag -width EINVAL
-.It Sy EFAULT
+.It Er EFAULT
 .Fa arg
 points outside the allocated address space.
-.It Sy EINVAL
+.It Er EINVAL
 .Fa arg
 does not contain a valid module name.
 .El
@@ -807,7 +808,7 @@
 will block until the active
 .Dv I_STR
 completes via a positive or negative
-acknowlegment, a timeout, or an error condition at the stream head.
+acknowledgement, a timeout, or an error condition at the stream head.
 By setting the
 .Fa ic_timout
 field to 0, the user is requesting STREAMS to provide
@@ -897,7 +898,7 @@
 .Va errno
 may be set to the following value:
 .Bl -tag -width EINVAL
-.It Sy EINVAL
+.It Er EINVAL
 .Fa arg
 is not the above legal value.
 .El
@@ -1168,7 +1169,7 @@
 .Va errno
 is set to the following value:
 .Bl -tag -width EINVAL
-.It Sy EINVAL
+.It Er EINVAL
 Invalid
 .Va arg
 value.
@@ -1259,7 +1260,7 @@
 .Va errno
 is set to the following value:
 .Bl -tag -width EFAULT
-.It Sy EFAULT
+.It Er EFAULT
 .Fa arg
 points outside the allocated address space.
 .El
@@ -1495,7 +1496,7 @@
 .Va errno
 is set to one of the following values:
 .Bl -tag -width EAGAIN
-.It Sy ENXIO
+.It Er ENXIO
 Hangup received on
 .Fa fildes .
 .It Er ETIME
--- old/usr/src/man/man7i/termio.7i	Tue Apr 14 19:02:53 2020
+++ new/usr/src/man/man7i/termio.7i	Tue Apr 14 19:02:53 2020
@@ -15,7 +15,7 @@
 .\" If applicable, add the following below this CDDL HEADER, with the
 .\" fields enclosed by brackets "[]" replaced with your own identifying
 .\" information: Portions Copyright [yyyy] [name of copyright owner]
-.Dd March 17, 2019
+.Dd February 17, 2020
 .Dt TERMIO 7I
 .Os
 .Sh NAME
@@ -233,7 +233,7 @@
 characters that would normally be erased from the screen are fouled by program
 output.
 The characters are reprinted as if they were being echoed;
-consequencely, if
+consequently, if
 .Dv ECHO
 is not set, they are not printed.
 .Pp
@@ -407,7 +407,7 @@
 least
 .Sy MIN
 characters at a time.
-In case A, the inteercharacter timer is
+In case A, the intercharacter timer is
 activated by a user as a safety measure; in case B, the timer is turned off.
 .Pp
 Cases C and D exist to handle single character, timed transfers.
@@ -429,7 +429,7 @@
 .Ss "Writing Characters"
 When one or more characters are written, they are transmitted to the terminal
 as soon as previously written characters have finished typing.
-nputt characters
+Input characters
 are echoed as they are typed if echoing has been enabled.
 If a process produces
 characters more rapidly than they can be typed, it will be suspended when its
@@ -690,7 +690,7 @@
 stop.
 .Pp
 The controlling terminal will remain in this state until it is reinitialized
-ithh a successful open by the controlling process, or deallocated by the
+with a successful open by the controlling process, or deallocated by the
 controlling process.
 .Ss "Terminal Parameters"
 The parameters that control the behavior of devices and modules providing the
@@ -1737,7 +1737,7 @@
 .In sys/termios.h
 and includes the following members:
 .Bd -literal -offset 2n
-unsigned	short ws_row;  /* rows, in characters */
+unsigned short  ws_row;        /* rows, in characters */
 unsigned short	ws_col;        /* columns, in characters */
 unsigned short	ws_xpixel;     /* horizontal size, in pixels */
 unsigned short	ws_ypixel;     /* vertical size, in pixels */
--- old/usr/src/man/man7i/visual_io.7i	Tue Apr 14 19:02:53 2020
+++ new/usr/src/man/man7i/visual_io.7i	Tue Apr 14 19:02:53 2020
@@ -1,5 +1,6 @@
 .\" Copyright (c) 2005, Sun Microsystems, Inc.  All Rights Reserved
 .\" Copyright 2018, Joyent, Inc.
+.\" Copyright 2020 Peter Tribble.
 .\" The contents of this file are subject to the terms of the
 .\" Common Development and Distribution License (the "License").
 .\" You may not use this file except in compliance with the License.
@@ -14,7 +15,7 @@
 .\" If applicable, add the following below this CDDL HEADER, with the
 .\" fields enclosed by brackets "[]" replaced with your own identifying
 .\" information: Portions Copyright [yyyy] [name of copyright owner]
-.Dd August 31, 2018
+.Dd February 17, 2020
 .Dt VISUAL_IO 7I
 .Os
 .Sh NAME
@@ -51,7 +52,7 @@
 the PROM monitor, or when the system panicking).
 These are also known as
 .Dq Polled I/O
-entry points, which operate under an an explicit set of restrictions, described below.
+entry points, which operate under an explicit set of restrictions, described below.
 .Sh IOCTLS
 .Bl -tag -width VIS_GETIDENTIFIER -compact
 .It Dv VIS_GETIDENTIFIER
@@ -62,11 +63,6 @@
 This is a mandatory ioctl and must return a unique string.
 We suggest that the name be formed as
 .Ao companysymbol Ac Ns Ao devicetype Ac .
-For example, the
-.Xr cgsix 7D
-driver
-returns
-.Sy SUNWcg6 .
 .Pp
 .Dv VIS_GETIDENTIFIER
 takes a
@@ -609,7 +605,7 @@
 and
 .Fa t_col
 are defined to be pixel offsets from the starting position of the
-onssole device.
+console device.
 .Pp
 .Fa direction
 specifies which way to do the copy.
@@ -684,7 +680,7 @@
 standalone vectors operate in a special context and must adhere to a strict set
 of rules.
 The polled I/O vectors are called directly whenever the system is
-quisced (running in a limited context) and must send output to the display.
+quiesced (running in a limited context) and must send output to the display.
 Standalone mode describes the state in which the system is running in
 single-threaded mode and only one processor is active.
 illumos operating
--- old/usr/src/man/man7i/vt.7i	Tue Apr 14 19:02:53 2020
+++ new/usr/src/man/man7i/vt.7i	Tue Apr 14 19:02:53 2020
@@ -1,3 +1,4 @@
+.\" Copyright 2020 Peter Tribble.
 .\" Copyright (c) 2017, Joyent, Inc.
 .\" Copyright (c) 2008 Sun Microsystems, Inc.  All Rights Reserved.
 .\" The contents of this file are subject to the terms of the
@@ -14,12 +15,12 @@
 .\" If applicable, add the following below this CDDL HEADER, with the
 .\" fields enclosed by brackets "[]" replaced with your own identifying
 .\" information: Portions Copyright [yyyy] [name of copyright owner]
-.Dd October 29, 2017
+.Dd February 17, 2020
 .Dt VT 7I
 .Os
 .Sh NAME
 .Nm vt
-.Nd Solaris virtual console interface
+.Nd illumos virtual console interface
 .Sh SYNOPSIS
 .In sys/kd.h
 .In sys/vt.h
@@ -307,7 +308,7 @@
 To switch from consoles to Xserver (which normally
 picks up the first available virtual console), use [ Ctrl + ] Alt + F7 .
 .Bd -literal -offset indent
-# svcs  | grep login
+# svcs | grep login
 online         17:49:11 svc:/system/console-login:default
 online         17:49:11 svc:/system/console-login:vt2
 online         17:49:11 svc:/system/console-login:vt3
@@ -319,7 +320,7 @@
 .Sy console-login:default
 is for the system console, others for virtual consoles.
 .Pp
-You can modify properties/disable/enable and remove/add virtual consoles using
+You can manage virtual consoles using the service management facility,
 .Xr smf 5 :
 .Bd -literal -offset indent
 # svccfg -s console-login add vt8
